Bug 92212 - focus not updated when mouse moved while doing workspace switching
focus not updated when mouse moved while doing workspace switching
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2003-06-03 17:22 EDT by David Baron
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-03 18:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (970 bytes, patch)
2003-06-14 17:50 EDT, David Baron
no flags Details | Diff

  None (edit)
Description David Baron 2003-06-03 17:22:17 EDT
Description of problem:  When using sloppy focus (or the UI-less strict focus
setting), focus is not updated when the mouse is moved while doing workspace
switching or after the workspace switching is complete.  This leads to the focus
being disconnected from the mouse position, which requires moving the mouse out
of and back in to the window to focus the window.

(This has been a moderate annoyance for ages, but I just realized what the exact
steps to reproduce were.)

Version-Release number of selected component (if applicable): metacity-2.4.34-3

How reproducible: every time

Steps to Reproduce:
1. Go to a workspace that has a workspace to its right that has two
non-overlapping windows.  Call them A and B.
2. Position the mouse so that when you move into the workspace to the right, the
pointer will be in window B.
2. Hold down Ctrl and Alt, and press the right arrow, but *do not lift control
and alt*.
3. Move the mouse pointer from window B to window A.
4. Release Ctrl and Alt.
Actual results:  Window B has focus.

Expected results:  Window A has focus.

Additional info:  This is reproducable with both strict-focus and sloppy-focus
gconftool-2 --set /apps/metacity/general/focus_mode mouse --type=string
gconftool-2 --set /apps/metacity/general/focus_mode sloppy --type=string
Comment 1 David Baron 2003-06-14 17:50:13 EDT
Created attachment 92402 [details]

This fixes the problem for me.

Alternatively, one could probably change the no-op case in
meta_workspace_activate, but I don't feel like going through all the callers to
make sure that makes sense for all of them.  Someone who knows the code better
could probably do that easily.
Comment 2 David Baron 2003-06-14 17:53:10 EDT
(Although I admit I don't understand, for the key release case, why we'd ever
not be on the workspace in question already.)
Comment 3 Havoc Pennington 2003-10-03 18:10:43 EDT
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=123803

Note You need to log in before you can comment on or make changes to this bug.